API referenceAssets
Create Asset
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/assets" \ -H "Content-Type: application/json" \ -d '{ "kind": "repository", "name": "string", "identity": {} }'{ "id": "string", "tenant_id": "string", "kind": "string", "name": "string", "identity": {}, "status": "string", "verified": true, "verification_method": "string", "verified_at": "string", "scan_policy": {}, "tags": [ "string" ], "owner": "string", "source_repository_id": "string", "last_scanned_at": "string", "scan_run": { "last_outcome": "string", "reason": "string", "phases": { "property1": "string", "property2": "string" }, "consecutive_failures": 0, "last_attempt_at": "string", "phase_timings": [ { "name": "", "duration_ms": 0, "status": "" } ], "run_id": "string" }, "finding_summary": { "property1": 0, "property2": 0 }, "check_statuses": { "property1": "string", "property2": "string" }, "created_at": "string", "updated_at": "string", "next_scan_at": "string", "scan_interval_hours": 0, "onboarding": {}, "agent_reported_host": "string", "agent_state": "string"}